Skip to main content

List accounts (search)

GET 

/accounts/v2

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

List accounts from the accounts search index.

Use standard collection parameters for paging (limit, offset, count). Default page size is 25 when no collection parameters are sent. Maximum limit is 250. Requests that specify a larger limit are capped at 250. offset + limit cannot exceed 10,000. To page beyond that window, use searchAfter instead of a large offset. searchAfter cannot be combined with offset. Always include id in sorters when using searchAfter. Refer to Paginating Search Queries for more information.

Request​

Responses​

List of account objects.

Response Headers
    x-total-count

    The total result count (returned when count=true is passed).